Page MenuHomePhabricator

Remove the '+' in the 'cc0-1.0+" license code: CC-0 is future-proof in itself
Closed, ResolvedPublic

Description

Per my conversation with Mike, we might need to quickly remove the "+" at the end of the CC0-1.0+ license code, as it implies future versions of CC0, which might not make sense. We can quickly do it right after New Year's. Need an Legal opinion on how urgent this is. Codewise its very simple.

Or later version is superfluous for CC0-1.0, which has no conditions at all, let alone any pertinent to license versions. The "+" notation and "or (at your option) any later version" is advisable for A/L/GPLv2/3 because those licenses aren't compatible with later versions of themselves without such additional permission.

Event Timeline

Yurik created this task.Dec 24 2016, 4:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2016, 4:44 AM
debt removed Slaporte as the assignee of this task.Jan 4 2017, 7:55 PM
debt lowered the priority of this task from High to Normal.
debt added a subscriber: Slaporte.

Added a meeting to chat about this with Legal and the Interactive team on Thursday, Jan 5, 2017

I spoke with @debt and @Yurik about this today. You can remove the "+" and "any later version" from the CC0 definition for tabular data.

debt awarded a token.Jan 6 2017, 12:12 AM
Yurik added a comment.Jan 6 2017, 10:01 PM

@debt, i am not sure these two relate, and one does not really need the other to be implemented - one if a generic error message reporting/formatting bug, the other is the license code we use in the data specification.

debt added a comment.Jan 9 2017, 7:10 PM

@Yurik - I added it as related because I figured that while we're in the general code area, we can do both!

Yurik added a comment.Jan 9 2017, 7:12 PM

@debt, sure, but its better to simply mention the bug in the commonts - this way a backlink is also added to the other task. Making things dependentt on one another implies that one task cannot be done until the other completes.

debt added a comment.Jan 9 2017, 7:25 PM

Unlinking T154561 as a subtask - but adding in the comments, as @Yurik suggested. Let's get both of these done at the same time, if possible.

Change 332726 had a related patch set uploaded (by Legoktm):
Remove the ' ' in 'CC0-1.0 '

https://gerrit.wikimedia.org/r/332726

debt moved this task from Backlog to In progress on the Maps-Sprint board.Jan 18 2017, 2:32 PM
Deskana claimed this task.Jan 20 2017, 6:44 PM

This would be good to have from a consistency standpoint; other similar interfaces (such as Wikidata) do not have the "+" in them, and @Slaporte gave us the legal go-ahead to do this. All that remains seems to be issues and discussion with the technical implementation, if I'm understanding.

Deskana removed Deskana as the assignee of this task.Jan 26 2017, 12:49 AM
Deskana moved this task from In progress to To-do on the Maps-Sprint board.
Deskana added a subscriber: Deskana.

Unassigning and moving back to prioritised; there are no outstanding legal or product issues, so this task is ready for development.

Deskana assigned this task to MaxSem.Feb 3 2017, 6:35 PM
Deskana moved this task from To-do to Needs review on the Maps-Sprint board.

Max is working on reviewing the patch from a technical standpoint.

Change 332726 merged by jenkins-bot:
Remove the ' ' in 'CC0-1.0 '

https://gerrit.wikimedia.org/r/332726

Change 338013 had a related patch set uploaded (by MaxSem):
Remove the ' ' in 'CC0-1.0 '

https://gerrit.wikimedia.org/r/338013

Nemo_bis renamed this task from Remove the '+' in the 'cc0-1.0+" license code to Remove the '+' in the 'cc0-1.0+" license code: CC-0 is future-proof in itself.Feb 16 2017, 7:17 AM
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.

Change 338208 had a related patch set uploaded (by MaxSem):
Tabular data license CC0-1.0 -> CC0-1.0

https://gerrit.wikimedia.org/r/338208

Change 338013 merged by jenkins-bot:
Remove the ' ' in 'CC0-1.0 '

https://gerrit.wikimedia.org/r/338013

Change 338208 merged by jenkins-bot:
Tabular data license CC0-1.0 -> CC0-1.0

https://gerrit.wikimedia.org/r/338208

MaxSem moved this task from Needs review to Done on the Maps-Sprint board.

Code and settings deployed, on-wiki data updated.

MaxSem closed this task as Resolved.Mar 1 2017, 2:07 AM